org.codehaus.groovy.runtime

## Class ProcessGroovyMethods.ProcessRunner

- java.lang.Object
- - org.codehaus.groovy.runtime.ProcessGroovyMethods.ProcessRunner

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ProcessGroovyMethods

    protected static class ProcessGroovyMethods.ProcessRunner
    extends java.lang.Object
    implements java.lang.Runnable

A Runnable which waits for a process to complete together with a notification scheme allowing another thread to wait a maximum number of seconds for the process to complete before killing it.

Since:
  1.0

### Constructor Summary

Constructors
Constructor and Description
`ProcessGroovyMethods.ProcessRunner(java.lang.Process process)`

### Method Summary

Methods
`void` `run()`
`void` `waitForOrKill(long millis)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProcessGroovyMethods.ProcessRunner

    public ProcessGroovyMethods.ProcessRunner(java.lang.Process process)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### waitForOrKill

    public void waitForOrKill(long millis)